Subject: Re: WinCVS via Corinna's SSH works & "Exporting" of env vars.
From: "C. R. Oldham" <[email-masked]>
To: Cygwin Mailing List <[email-masked]>
Date: Tue, 22 Aug 2000 07:22:07 -0700

"C. R. Oldham" wrote:

> I was just successful in using WinCVS to talk to a CVS server via
> Corinna's OpenSSH port.

[...]

> Ssh-agent is particularly cumbersome to use
> since it is hard to get all processes on Windows to be a descendant of
> it.  It appears, however, that there must be some way to export the
> relevant environment variables SSH_AGENT_PID/SSH_AGENT_SOCK, etc, out to
> the OS

I just wanted to followup on this for everyone.  I did find a small utility
that will change settings of master environment variables on NT.  I was able
to write a bash script that starts ssh-agent and "exports" the variable
values out to the NT master environment so all new processes see them.  This
works pretty slick.

The utility program is called "setx.exe" and comes in the NT resource kit.

After everything is setup WinCVS works like a champ!

Attached is the script.

--
   / Charles (C. R.) Oldham      | NCA Commission on Schools   \
  / Director of Technology       | Arizona State University     \
 / "cro at nca dot asu dot edu"  | V:480/965-8703 F:480/965-9423 \
 |                   http://www.nca.asu.edu/                     |

--
Want to unsubscribe from this list?
Send a message to [email-masked]